classification
Title: cPickle documentation incomplete
Type: enhancement Stage: needs patch
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: docs@python Nosy List: alexandre.vassalotti, belopolsky, benjamin.peterson, docs@python, fdrake, georg.brandl
Priority: normal Keywords:

Created on 2002-09-29 01:21 by gvanrossum, last changed 2013-03-28 10:46 by georg.brandl. This issue is now closed.

Messages (8)
msg12536 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2002-09-29 01:21
Many of the differences between the cPickle module and
the pickle module appear undocumented, despite a claim
in the cPickle module that the pickle docs explain the
differences.

For example, I just found that cPickle.Pickler() can be
called without a file argument, which makes it use an
internal list to store the pickled data; and that in
that case it has a method getvalue() that returns the
contents of that list as a string; and that its dump()
method takes a second argument which, if true, calls
the getvalue() method.  Who knows what else it supports.

Someone should go over the cPickle source and compare
the API *carefully* with the documented pickle API.
msg12537 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2006-05-03 02:14
Logged In: YES 
user_id=3066

Unassigning myself; clearly, I've not had time for this.
msg69613 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2008-07-13 17:45
Is this still desired? If so, I have fairly long list of differences
that I could document. Or maybe, I could backport the _pickle module to
Python 2.6, which doesn't have as many differences.
msg69614 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-13 17:50
+1 to backporting _pickle as cPickle. Do bring it up on python-dev.
msg70144 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-07-22 10:22
No need for gratuitous breakage of cPickle in Python 2.6.

Alexandre, if you can add the list of changes to the documentation, that
would be great.
msg70751 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-08-05 16:13
2.6 should keep the original cPickle, warts and all, for backwards
compatibility.  I'd be okay though with also having _pickle there --
just don't call in cPickle (and don't import it from pickle.py either).
msg110349 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-07-15 06:04
I've just closed issue8738 as invalid and surely a document explaining the differences between cPickle and _pickle would save me a lot of effort.  It will also help anyone porting from 2.x to 3.x.

Alexandre, do you have any notes that you can share?
msg185431 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-03-28 10:46
Three years later, I don't think anyone is interested in documenting the outdated cPickle.
History
Date User Action Args
2013-03-28 10:46:07georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg185431

resolution: wont fix
2010-08-18 01:35:29georg.brandlsetnosy: - georg.brandl
2010-08-17 23:59:00gvanrossumsetnosy: - gvanrossum
2010-08-17 22:12:15benjamin.petersonsetversions: - Python 3.1, Python 3.2
2010-08-17 22:02:26BreamoreBoysetassignee: docs@python

nosy: + docs@python
versions: + Python 3.1
2010-07-15 15:41:30belopolskylinkissue1724366 dependencies
2010-07-15 06:04:47belopolskysetversions: + Python 2.7, Python 3.2
nosy: + belopolsky

messages: + msg110349

type: enhancement
stage: needs patch
2008-08-05 16:13:49gvanrossumsetmessages: + msg70751
2008-07-22 10:22:45georg.brandlsetnosy: + georg.brandl
messages: + msg70144
2008-07-13 17:50:26benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg69614
2008-07-13 17:45:22alexandre.vassalottisetnosy: + alexandre.vassalotti
messages: + msg69613
2002-09-29 01:21:02gvanrossumcreate